<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9,00"
	Name="InfoVis"
	ProjectGUID="{EF456888-B5FC-383A-81B6-8F35FE288E7A}"
	RootNamespace="InfoVis"
	Keyword="Qt4VSv1.0"
	TargetFrameworkVersion="0"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Main|Win32"
			OutputDirectory="bin\"
			IntermediateDirectory="temp\"
			ConfigurationType="1"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				WarningLevel="0"
				DefaultCharType="0"
				EnableErrorChecks="1"
			/>
			<Tool
				Name="VCCLCompilerTool"
				AdditionalOptions="-Zm200 -w34100 -w34189"
				Optimization="2"
				AdditionalIncludeDirectories=".;temp;&quot;$(ProjectDir)\src\Logic\AlterableObjects\Charts\DataElements&quot;;&quot;$(ProjectDir)\src\Logic\AlterableObjects\Charts\Structure&quot;;&quot;$(ProjectDir)\src\Logic\Transitions\CompoundTransitions&quot;;&quot;$(ProjectDir)\src\Logic\Transitions\AtomicTransitions&quot;;&quot;$(ProjectDir)\src\Logic\TransitionManager&quot;;&quot;$(ProjectDir)\src\Logic\Shader&quot;;&quot;$(ProjectDir)\src\Logic\Transitions&quot;;&quot;$(ProjectDir)\src\Logic\AlterableObjects&quot;;&quot;$(ProjectDir)\src\Logic\AlterableObjects\Charts&quot;;&quot;$(ProjectDir)\src\Logic\Common&quot;;&quot;$(ProjectDir)\src\Logic\Data&quot;;&quot;$(ProjectDir)\src\UI&quot;;&quot;$(ProjectDir)\ext\glew\include\GL&quot;;&quot;$(ProjectDir)\ext\glm-0.9.1.1\glm&quot;;&quot;$(ProjectDir)\ext\Qt\include\&quot;;&quot;$(ProjectDir)\ext\Qt\include\QtCore&quot;;&quot;$(ProjectDir)\ext\Qt\include\QtGui&quot;;&quot;$(ProjectDir)\ext\Qt\include\QtOpenGL&quot;;&quot;$(ProjectDir)\ext\Qt\include\ActiveQt&quot;;&quot;$(QTDIR)\mkspecs\win32-msvc2008&quot;"
				PreprocessorDefinitions="_WINDOWS,UNICODE,WIN32,QT_LARGEFILE_SUPPORT,QT_DLL,QT_GUI_LIB,QT_CORE_LIB,QT_HAVE_MMX,QT_HAVE_3DNOW,QT_HAVE_SSE,QT_HAVE_MMXEXT,QT_HAVE_SSE2,QT_THREAD_SUPPORT"
				GeneratePreprocessedFile="0"
				ExceptionHandling="1"
				RuntimeLibrary="3"
				BufferSecurityCheck="false"
				TreatWChar_tAsBuiltInType="false"
				RuntimeTypeInfo="true"
				AssemblerListingLocation="$(IntDir)\"
				ObjectFile="$(IntDir)\"
				ProgramDataBaseFileName="$(IntDir)\"
				WarningLevel="3"
				SuppressStartupBanner="true"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_WINDOWS,UNICODE,WIN32,QT_LARGEFILE_SUPPORT,QT_DLL,QT_GUI_LIB,QT_CORE_LIB,QT_HAVE_MMX,QT_HAVE_3DNOW,QT_HAVE_SSE,QT_HAVE_MMXEXT,QT_HAVE_SSE2,QT_THREAD_SUPPORT,_DEBUG"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				IgnoreImportLibrary="true"
				AdditionalOptions="&quot;/MANIFESTDEPENDENCY:type=&apos;win32&apos; name=&apos;Microsoft.Windows.Common-Controls&apos; version=&apos;6.0.0.0&apos; publicKeyToken=&apos;6595b64144ccf1df&apos; language=&apos;*&apos; processorArchitecture=&apos;*&apos;&quot;"
				AdditionalDependencies="$(ProjectDir)\ext\Qt\lib\qtmaind.lib $(ProjectDir)\ext\Qt\lib\QtGuid4.lib $(ProjectDir)\ext\Qt\lib\QtCored4.lib $(ProjectDir)\ext\Qt\lib\QtOpenGLd4.lib $(ProjectDir)\ext\glew\lib\glew32.lib opengl32.lib"
				OutputFile="bin\InfoVis.exe"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories="c:\Qt\lib"
				GenerateDebugInformation="false"
				ProgramDatabaseFile=""
				SubSystem="2"
				LinkTimeCodeGeneration="0"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Src"
			>
			<File
				RelativePath="src\main.cpp"
				>
			</File>
			<Filter
				Name="UI"
				Filter="ui"
				UniqueIdentifier="{99349809-55BA-4b9d-BF79-8FDBB0286EB3}"
				ParseFiles="false"
				>
				<File
					RelativePath="src\UI\InfoVisUI.cpp"
					>
				</File>
				<File
					RelativePath="src\UI\InfoVisUI.h"
					>
					<FileConfiguration
						Name="Main|Win32"
						>
						<Tool
							Name="VCCustomBuildTool"
							Description="MOC InfoVisUI.h"
							CommandLine="C:\Qt\bin\moc.exe  -DUNICODE -DWIN32 -DQT_LARGEFILE_SUPPORT -DQT_DLL -DQT_GUI_LIB -DQT_CORE_LIB -DQT_HAVE_MMX -DQT_HAVE_3DNOW -DQT_HAVE_SSE -DQT_HAVE_MMXEXT -DQT_HAVE_SSE2 -DQT_THREAD_SUPPORT -I&quot;..\..\..\..\Qt\include\QtCore&quot; -I&quot;..\..\..\..\Qt\include\QtGui&quot; -I&quot;..\..\..\..\Qt\include&quot; -I&quot;.&quot; -I&quot;..\..\..\..\Qt\include\ActiveQt&quot; -I&quot;bin&quot; -I&quot;.&quot; -I..\..\..\..\Qt\mkspecs\win32-msvc2008 -D_MSC_VER=1500 -DWIN32 src\UI\InfoVisUI.h -o src\UI\moc_InfoVisUI.cpp&#x0D;&#x0A;"
							AdditionalDependencies="C:\Qt\bin\moc.exe;src\UI\InfoVisUI.h"
							Outputs="src\UI\moc_InfoVisUI.cpp"
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="src\UI\InfoVisUI.ui"
					>
					<FileConfiguration
						Name="Main|Win32"
						>
						<Tool
							Name="VCCustomBuildTool"
							Description="UIC InfoVisUI.ui"
							CommandLine="C:\Qt\bin\uic.exe src\UI\InfoVisUI.ui -o src\UI\ui_InfoVisUI.h&#x0D;&#x0A;"
							AdditionalDependencies="C:\Qt\bin\uic.exe;src\UI\InfoVisUI.ui;qglwidget.h"
							Outputs="src\UI\ui_InfoVisUI.h"
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="src\UI\moc_InfoVisUI.cpp"
					>
				</File>
				<File
					RelativePath=".\src\UI\moc_MyGLWidget.cpp"
					>
				</File>
				<File
					RelativePath=".\src\UI\MyGLWidget.cpp"
					>
				</File>
				<File
					RelativePath=".\src\UI\MyGLWidget.hpp"
					>
				</File>
				<File
					RelativePath="src\UI\ui_InfoVisUI.h"
					>
				</File>
			</Filter>
			<Filter
				Name="Logic"
				>
				<Filter
					Name="TransitionManager"
					>
					<File
						RelativePath=".\src\Logic\TransitionManager\TransitionManager.cpp"
						>
					</File>
					<File
						RelativePath=".\src\Logic\TransitionManager\TransitionManager.hpp"
						>
					</File>
				</Filter>
				<Filter
					Name="Transitions"
					>
					<File
						RelativePath=".\src\Logic\Transitions\Transition.cpp"
						>
					</File>
					<File
						RelativePath=".\src\Logic\Transitions\Transition.hpp"
						>
					</File>
					<Filter
						Name="AtomicTransitions"
						>
						<File
							RelativePath=".\src\Logic\Transitions\AtomicTransitions\AtomicSequentialTransition.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\AtomicTransitions\AtomicSequentialTransition.hpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\AtomicTransitions\BlendTransition.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\AtomicTransitions\BlendTransition.hpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\AtomicTransitions\Delay.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\AtomicTransitions\Delay.hpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\AtomicTransitions\MorphTransition.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\AtomicTransitions\MorphTransition.hpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\AtomicTransitions\MoveTransition.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\AtomicTransitions\MoveTransition.hpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\AtomicTransitions\ParallelTransition.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\AtomicTransitions\ParallelTransition.hpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\AtomicTransitions\RotateTransition.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\AtomicTransitions\RotateTransition.hpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\AtomicTransitions\ScaleTransition.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\AtomicTransitions\ScaleTransition.hpp"
							>
						</File>
					</Filter>
					<Filter
						Name="CompoundTransitions"
						>
						<File
							RelativePath=".\src\Logic\Transitions\CompoundTransitions\ChangeChartTypeTransition.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\CompoundTransitions\ChangeChartTypeTransition.hpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\CompoundTransitions\CompoundSequentialTransition.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\CompoundTransitions\CompoundSequentialTransition.hpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\CompoundTransitions\CompoundTransition.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\CompoundTransitions\CompoundTransition.hpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\CompoundTransitions\FilteringTransition.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\CompoundTransitions\FilteringTransition.hpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\CompoundTransitions\SortingTransition.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\CompoundTransitions\SortingTransition.hpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\CompoundTransitions\ValueChangeTransition.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\Transitions\CompoundTransitions\ValueChangeTransition.hpp"
							>
						</File>
					</Filter>
				</Filter>
				<Filter
					Name="AlterableObjects"
					>
					<File
						RelativePath=".\src\Logic\AlterableObjects\AlterableObject.cpp"
						>
					</File>
					<File
						RelativePath=".\src\Logic\AlterableObjects\AlterableObject.hpp"
						>
					</File>
					<Filter
						Name="Charts"
						>
						<File
							RelativePath=".\src\Logic\AlterableObjects\Charts\BarChart.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\AlterableObjects\Charts\BarChart.hpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\AlterableObjects\Charts\Chart.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\AlterableObjects\Charts\Chart.hpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\AlterableObjects\Charts\GroupedBarChart.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\AlterableObjects\Charts\GroupedBarChart.hpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\AlterableObjects\Charts\PieChart.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\AlterableObjects\Charts\PieChart.hpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\AlterableObjects\Charts\StackedBarChart.cpp"
							>
						</File>
						<File
							RelativePath=".\src\Logic\AlterableObjects\Charts\StackedBarChart.hpp"
							>
						</File>
						<Filter
							Name="Structure"
							>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\Structure\Axis.cpp"
								>
							</File>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\Structure\Axis.hpp"
								>
							</File>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\Structure\GridLine.cpp"
								>
							</File>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\Structure\GridLine.hpp"
								>
							</File>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\Structure\Label.cpp"
								>
							</File>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\Structure\Label.hpp"
								>
							</File>
						</Filter>
						<Filter
							Name="DataElements"
							>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\DataElements\Bar.cpp"
								>
							</File>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\DataElements\Bar.hpp"
								>
							</File>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\DataElements\DataElement.cpp"
								>
							</File>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\DataElements\DataElement.hpp"
								>
							</File>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\DataElements\GroupedBar.cpp"
								>
							</File>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\DataElements\GroupedBar.hpp"
								>
							</File>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\DataElements\MorphElement.cpp"
								>
							</File>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\DataElements\MorphElement.hpp"
								>
							</File>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\DataElements\PieSector.cpp"
								>
							</File>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\DataElements\PieSector.hpp"
								>
							</File>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\DataElements\PieSlice.cpp"
								>
							</File>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\DataElements\PieSlice.hpp"
								>
							</File>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\DataElements\StackedBar.cpp"
								>
							</File>
							<File
								RelativePath=".\src\Logic\AlterableObjects\Charts\DataElements\StackedBar.hpp"
								>
							</File>
						</Filter>
					</Filter>
				</Filter>
				<Filter
					Name="Common"
					>
					<File
						RelativePath=".\src\Logic\Common\AlterableObjectTypes.hpp"
						>
					</File>
					<File
						RelativePath=".\src\Logic\Common\Constants.hpp"
						>
					</File>
					<File
						RelativePath=".\src\Logic\Common\TransitionTypes.hpp"
						>
					</File>
				</Filter>
				<Filter
					Name="Data"
					>
					<File
						RelativePath=".\src\Logic\Data\DataEntry.cpp"
						>
					</File>
					<File
						RelativePath=".\src\Logic\Data\DataEntry.hpp"
						>
					</File>
					<File
						RelativePath=".\src\Logic\Data\DataGroup.cpp"
						>
					</File>
					<File
						RelativePath=".\src\Logic\Data\DataGroup.hpp"
						>
					</File>
					<File
						RelativePath=".\src\Logic\Data\DataSet.cpp"
						>
					</File>
					<File
						RelativePath=".\src\Logic\Data\DataSet.hpp"
						>
					</File>
				</Filter>
				<Filter
					Name="Shader"
					>
					<File
						RelativePath=".\src\Logic\Shader\Shader.cpp"
						>
					</File>
					<File
						RelativePath=".\src\Logic\Shader\Shader.hpp"
						>
					</File>
					<File
						RelativePath=".\src\Logic\Shader\ShaderCodes.hpp"
						>
					</File>
				</Filter>
			</Filter>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
